/**
 * Copyright © 2013-2017 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
define([
    'Magento_Banner/js/view/banner',
    'jquery',
    'ko'
], function (Component, $, ko) {
    'use strict';

    return Component.extend({
        initialize: function () {
            this._super();

            if (!ko.bindingHandlers['htmlContentUpdated']) {
                ko.bindingHandlers['htmlContentUpdated'] = {
                        'init': function () {
                                // Prevent binding on the dynamically-injected HTML (as developers are unlikely to expect that, and it has security implications)
                                return {'controlsDescendantBindings': true};
                        },
                        'update': function (element, valueAccessor) {
                                // setHtml will unwrap the value if needed
                                ko.utils.setHtml(element, valueAccessor());
                                $(element).trigger("contentUpdated");
                        }
                };
            }
        }
    });
});
